Promote the secondary signing API key to primary
curl --request POST \
--url https://api-dev.rain.xyz/v1/issuing/webhooks/apikey/secondary/promote \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api-dev.rain.xyz/v1/issuing/webhooks/apikey/secondary/promote"
payload = {}
headers = {
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api-dev.rain.xyz/v1/issuing/webhooks/apikey/secondary/promote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"oldPrimarySigningApiKey": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"newPrimarySigningApiKey": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"key": "<string>"
}
}Webhook Management
Promote the secondary signing API key to primary
Promotes the secondary signing API key to become the new primary signing API key. The old primary key will be deleted. This completes the API key rotation process.
POST
/
issuing
/
webhooks
/
apikey
/
secondary
/
promote
Promote the secondary signing API key to primary
Authorizations
Body
application/json
Empty request body
The body is of type object.